package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.MyAuditComposite;
import com.gx.obe.components.core.enumeration.CommonEnum;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/** 
 * @Description: 清标审核
 * @author mazc 
 */
public class MyAuditAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite parentComposite = actionListener.getParentComposite();
		TenderProjectEntity tenderProjectEntity = this.getTenderProject();
		parentComposite.setData("tenderProjectEntity", tenderProjectEntity);
		MyAuditComposite auditComposite = new MyAuditComposite(parentComposite, SWT.NONE);
		auditComposite.refresh(tenderProjectEntity, CommonEnum.IN_MANAGER_REVIEW);
		actionListener.loadComposite(this, auditComposite);
	}
	
}
